package org.eso.ohs.core.gui.models;

import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;

public class DateModel extends InputMaskModel {

    /**
     * The regular expression describing legal buffer values.
     * Looking for values like: Jan 1, 2003
     */
    //private final static String legalValuesPattern_ ="/Jan|Feb|Mar/";
	private final static String legalValuesPattern_ =
	//"[1-5]?(\\.\\d{0,1})?";//original string
	//"[A-Z]{0,2}[ ]{0,1}[0-3]{0,1}[0-9]{0,1}[,]{0,1}[ ]{0,1}[1-2]{0,1}[0-9]{0,3}";
	//"[A-Z]{0,2}"; - Darios Example
	"[A-Z]{0,1}";
    /**
     * Constructor for the model.
     */
    public DateModel() { 
	super(legalValuesPattern_);
    }



    public void insertString(int offset, String str, AttributeSet a)
		throws BadLocationException {

	//stdlog_.debug("String: <"+str+">");

	super.insertString(offset, str, a);

	//stdlog_.debug("buffer: <"+buffer_+">");

	//try {
	    String buffer_val = buffer_.toString();
//	    Float f = Float.valueOf(buffer_val);
//
//	    if(f.floatValue() > 5) {
//		remove(offset, str.length());
//	    }		
//	    if(f.floatValue() < 1) {
//		remove(0, offset+1);
//	    }		
	//} catch (NumberFormatException e) {
	    // nothing, the string is not complete...
	//}
    }
}

