package org.eso.ohs.phase2.visiplot;

import org.eso.ohs.core.utilities.TextUtils;
import org.eso.ohs.phase2.orang.ObDataContainer;

/**
 * A simple coupling class to contain an Observation block with a
 * String key which allows it to be sorted using TextUtils.sort().
 */

public class SortableElem implements TextUtils.Sortable {

    private String sortKey_ = null;
    private ObDataContainer[] blk_ = null;

    SortableElem(ObDataContainer[] b, String sortKey) {
        sortKey_ = sortKey;
        blk_ = b;
    }

    public String getSortKey() {
        return sortKey_;
    }

    ObDataContainer[] getOBs() {
        return blk_;
    }
}