package org.eso.ohs.core.dbb.rmi;

// $Id: DbbFactory.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.rmi.RemoteException;
import java.sql.SQLException;

/**   
 * This is an interface for the factory method to produce new remote
 * connections.  It is implemented by the DbbServer interface.
 *
 * @author Carlo Boarotto
 */
public interface DbbFactory {

    /** @return A DbbRemoteEngine reference */
    public DbbRemoteEngine getEngine()
    throws SQLException, RemoteException;
}


