package org.eso.ohs.core.utilities;

import java.util.HashMap;
import java.util.Map;

public class OperatorMapper {

	
	final static private Map mapper = new HashMap(){
		{	put("equal", "="); 
			put("notequal", "!="); 
			put("greater", ">");
			put("greaterequal", ">="); 
			put("lower", "<"); 
			put("lowerequal", "<=");
			put("like", "like"); 
			put("notlike", "not like"); 
			put("in", "in");
			put("notin", "not in");
			put("ascending", "ascending"); 
			put("descending", "descending"); 
			put("is", "is");
			put("not", "not");
			put("between", "between");
		}
	};
	
	public static String convert(String key){
		String result = (String)mapper.get(key.toLowerCase()); 
		
		if (!mapper.containsKey(key.toLowerCase()))
			throw new IllegalArgumentException("Cannot find any map for " + key);
			
		return result;
	}

}
